/*****************************************************************************
 *	aisa47w.h
 *
 *	aISA-R47
 *
 *	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
 *
 *	Date 1998/05/20
 *
 *****************************************************************************/
#ifndef __AISA47__
#define __AISA47__

#include "aisa47.h"

#ifdef __cplusplus
extern "C"{
#endif

#define AISA47_DLL_NAME	  _T("aisa47.dll")	// DLL
#define AISA47_MAX_PORT 2					// aISA-R47̃|[g
#define AISA47_ERR_WRAPDLL ((DWORD)-1)		// bp[֐G[

// DLL [h
BOOL Aisa47wDllOpen ( void );

// DLL A[h
BOOL Aisa47wDllClose ( void );

// aISA-R47 DLL,Driver̃o[Wԍ擾
BOOL Aisa47wGetVersion ( PDWORD pdwDllVer, PDWORD pdwDrvVer );

// CӂaISA-R47̎gp錾
BOOL Aisa47wCreate(PWORD pwLogSlot);

// CӂaISA-R47̎gpJ
BOOL Aisa47wClose ( WORD wLogSlot );

// \[X擾
BOOL Aisa47wGetResource ( WORD wLogSlot, PAISA47R pResInfo );

// Cӂ̃|[gf[^
BOOL Aisa47wInPort ( WORD wLogSlot, DWORD dwPort, PBYTE pbInValue );

// Cӂ̃|[gփf[^o
BOOL Aisa47wOutPort ( WORD wLogSlot, DWORD dwPort, BYTE bOutValue );

// aISA-R47̃G[R[h
DWORD Aisa47wGetLastError ( WORD wLogSlot );

#ifdef __cplusplus
}
#endif
#endif // __AISA47__
